Question: Seeking help deploying Shiny application to RStudio Connect with Bioconductor package
0
gravatar for morlenrp
5 months ago by
morlenrp0
morlenrp0 wrote:

I recently wanted to include the bioconductor packages msa and bios2mds into a Shiny application I've been working on. I'm having trouble deploying the application to RStudio Connect after including the Bioconductor packages.

Everything runs fine locally, but I'm unsure of how to incorporate the Biconductor installation with the packrat::restore()

R 3.6 with Bioconductor 3.9

Building Shiny application...
Bundle requested R version 3.6.0; using /usr/lib64/R/bin/R which has version 3.5.2
2019/06/13 12:02:51.811151847 # Validating R library read / write permissions --------------------------------
2019/06/13 12:02:51.843304978 # Validating packrat installation ----------------------------------------------
2019/06/13 12:02:51.843335586 Installed packrat SHA is: 9dee5d88ee41e82382af5acea14107f4eeb8d283
2019/06/13 12:02:51.843417307 Packaged packrat SHA is:  9dee5d88ee41e82382af5acea14107f4eeb8d283
2019/06/13 12:02:51.844383524 Packrat is up-to-date.
2019/06/13 12:02:51.844453255 R version: 3.5.2
2019/06/13 12:02:51.844469570 packrat version: 0.5.0.5
2019/06/13 12:02:51.844780515 # Validating packrat cache read / write permissions ----------------------------
2019/06/13 12:02:52.158653178 Audited package hashes with local packrat installation.
2019/06/13 12:02:52.161682638 # Installing required R packages with `packrat::restore()` ---------------------
2019/06/13 12:02:52.851281225 Installing BH (1.69.0-1) ... 
2019/06/13 12:02:52.867475371 Using cached BH.
2019/06/13 12:02:52.867727230   OK (symlinked cache)
2019/06/13 12:02:52.867929195 Installing BiocGenerics (0.30.0) ... 
2019/06/13 12:02:54.983095529 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:02:56.299259983 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:02:57.598164178 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:02:58.900142951 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:00.204352896 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:01.631010068 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:02.950838100 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:04.247344723 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:05.566218563 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:06.900513647 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:08.044799635 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:09.187330875 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:10.328136212 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:11.470071255 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:12.612622548 curl: (22) The requested URL returned error: 404 Not Found
2019/06/13 12:03:13.615735405 FAILED
2019/06/13 12:03:13.616523347 Error in getSourceForPkgRecord(pkgRecord, srcDir(project), availablePackagesSource(repos = repos), : Failed to retrieve package sources for BiocGenerics 0.30.0 from CRAN (internet connectivity issue?)
2019/06/13 12:03:13.616549116 
2019/06/13 12:03:13.616592601 Unable to fully restore the R packages associated with this deployment.
2019/06/13 12:03:13.616603503 Please review the preceding messages to determine which package
2019/06/13 12:03:13.616621648 encountered installation difficulty and the cause of the failure.
2019/06/13 12:03:13.616623104 
2019/06/13 12:03:13.616636472 Some typical reasons for package installation failures:
2019/06/13 12:03:13.616637870   * A system library needed by the R package is not installed.
2019/06/13 12:03:13.616653570     Some of the most common package dependencies are cataloged at:
2019/06/13 12:03:13.616655047     https://github.com/rstudio/shinyapps-package-dependencies
2019/06/13 12:03:13.616667409 
2019/06/13 12:03:13.616668696   * The R package requires a newer version of R.
2019/06/13 12:03:13.616681588 
2019/06/13 12:03:13.616682795   * The C/C++ compiler is outdated. This is often true for packages
2019/06/13 12:03:13.616700536     needing C++11 features.
2019/06/13 12:03:13.616705429 
2019/06/13 12:03:13.616727202   * The R package is Windows-only or otherwise unavailable for this
2019/06/13 12:03:13.616731508     operating system.
2019/06/13 12:03:13.616756820 
2019/06/13 12:03:13.616761731   * The package is housed in a private repository that requires
2019/06/13 12:03:13.616812923     authentication to access. For more details on this, see:
2019/06/13 12:03:13.616825125     https://docs.rstudio.com/connect/admin/package-management.html#private-repositories
2019/06/13 12:03:13.616870472 
2019/06/13 12:03:13.616873482 The package description and documentation will list system requirements
2019/06/13 12:03:13.616913420 and restrictions.
2019/06/13 12:03:13.616920424 
2019/06/13 12:03:13.616946733 Please contact your RStudio Connect administrator for further help
2019/06/13 12:03:13.616951072 resolving this issue.
2019/06/13 12:03:13.623439635 Warning message:
2019/06/13 12:03:13.623536463 In packrat::restore(overwrite.dirty = TRUE, prompt = FALSE, restart = FALSE) :
2019/06/13 12:03:13.623546123   The most recent snapshot was generated using R version 3.6.0
Build error: exit status 1
Application deployment failed with error: exit status 1

I attempted to add Biconductor to my repos through .Rprofile:

options(
  repos = c(
    bioc = "https://bioconductor.org/packages/3.9/bioc",
    CRAN = "https://cran.rstudio.com/"
  )
)

But still keep getting the same errors. Any help or advice would be greatly appreciated.

I was wondering if I would have to install Bioconductor 3.8 possible to be compatible with R 3.5.2

ADD COMMENTlink modified 5 months ago • written 5 months ago by morlenrp0

Hi,

It seems like your packrat environment is trying to use R-3.5.2 but your R version on the Rstudio connect is R-3.6.0. But besides that, I think there are some missing system dependencies on your RStudio connect server, and you might have to ask your system admin to install those dependencies for you.

The errors are laid out in that message you copy pasted. Please verify that you are fulfilling all those requirements. https://github.com/rstudio/shinyapps-package-dependencies

Another issue is, the Error 404. That doesn't sound promising.

Can you give me a way to reproduce this issue?

ADD REPLYlink written 4 months ago by nitesh.turaga140
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 348 users visited in the last hour